Subject: 1.3.2: isspace/ctype problem cause to prevent from accessing non-ascii(8-bit) file or directorys
From: "이재길" <[email-masked]>
To: [email-masked]
Date: Thu, 23 Aug 2001 23:04:49 +0900

Recently, I've installed cygwin 1.3.2 on windows ME.

I'm trying to port some application for korean locale, and discovered
problem
in accessing directories or files in korean characters.

At first, the problem is found in 'chdir()'.
After I call chdir("XX"), actually it was called in bash(see cd.def file in
source tree)
"XX" will be changed to "X", where "XX" is korean directory name.
This problem is caused from the fix which was done by Christopher Faylor.
Next is revision history about that fix(in version 1.3.1)

   - Fix behavior of chdir when called with a path containing trailing
spaces.
     (Christopher Faylor)

Actually, this fix is not a real problem. The problem is korean character
is
recognized
in negative integer, so, ((_ctype_+1)[c] & _S)  access invalid entry.

It must be fully investigated that the way of using isXXXXXX() macros.

Simillar problem was seen in 'readdir', ....
And I need to comple all the applications(ls, dir, bash, vim, and so
force).

This is real problem.

Does anyone have an answer for it.

Regards.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/